complete -c sn -n "__fish_use_subcommand" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_use_subcommand" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_use_subcommand" -f -a "update" -d 'The program grows up.'
complete -c sn -n "__fish_use_subcommand" -f -a "clean" -d 'Clean up artifacts if possible.'
complete -c sn -n "__fish_use_subcommand" -f -a "parallel" -d 'Same as \'all\', but concurrently.'
complete -c sn -n "__fish_use_subcommand" -f -a "sort" -d 'Find the biggest directories (optionally include files).'
complete -c sn -n "__fish_use_subcommand" -f -a "fat" -d 'Find the biggest directories (optionally include files).'
complete -c sn -n "__fish_use_subcommand" -f -a "directories" -d 'Show all directories.'
complete -c sn -n "__fish_use_subcommand" -f -a "files" -d 'Show all files/directories.'
complete -c sn -n "__fish_use_subcommand" -f -a "artifacts" -d 'Show directories with build artifacts'
complete -c sn -n "__fish_use_subcommand" -f -a "help" -d 'Prints this message or the help of the given subcommand(s)'
complete -c sn -n "__fish_seen_subcommand_from update" -s f -l force -d 'Force installation even when binary already exists.'
complete -c sn -n "__fish_seen_subcommand_from update" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from update" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_seen_subcommand_from clean" -s e -l exclude
complete -c sn -n "__fish_seen_subcommand_from clean" -s g -l tagfiles -d 'Clean tagfiles generated for vim or Emacs'
complete -c sn -n "__fish_seen_subcommand_from clean" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from clean" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_seen_subcommand_from parallel" -s j -l threads
complete -c sn -n "__fish_seen_subcommand_from parallel" -s e -l exclude -d 'Regex for paths to exclude'
complete -c sn -n "__fish_seen_subcommand_from parallel" -s d -l depth -d 'How far to recurse (default 2)'
complete -c sn -n "__fish_seen_subcommand_from parallel" -s t -l threshold -d 'Specify a threshold for file size'
complete -c sn -n "__fish_seen_subcommand_from parallel" -s f -l files -d 'Whether to print files in addition to directories (default false)'
complete -c sn -n "__fish_seen_subcommand_from parallel" -s a -l all -d 'Print all directory entries (no max depth)'
complete -c sn -n "__fish_seen_subcommand_from parallel" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from parallel" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_seen_subcommand_from sort" -s n -l count -d 'Number of files to find (default 8)'
complete -c sn -n "__fish_seen_subcommand_from sort" -s d -l depth
complete -c sn -n "__fish_seen_subcommand_from sort" -s e -l exclude
complete -c sn -n "__fish_seen_subcommand_from sort" -s t -l threshold -d 'Specify a threshold for file size'
complete -c sn -n "__fish_seen_subcommand_from sort" -s f -l files -d 'Whether to print files in addition to directories (default false)'
complete -c sn -n "__fish_seen_subcommand_from sort" -s a -l all -d 'Print all directory entries (no max depth)'
complete -c sn -n "__fish_seen_subcommand_from sort" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from sort" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_seen_subcommand_from fat" -s t -l threshold -d 'Specify a threshold for file size (default 30M)'
complete -c sn -n "__fish_seen_subcommand_from fat" -s e -l exclude
complete -c sn -n "__fish_seen_subcommand_from fat" -s d -l depth -d 'How far to recurse (default 2)'
complete -c sn -n "__fish_seen_subcommand_from fat" -s a -l all -d 'Print all directory entries (no max depth)'
complete -c sn -n "__fish_seen_subcommand_from fat" -s f -l files -d 'Whether to print files in addition to directories (default false)'
complete -c sn -n "__fish_seen_subcommand_from fat" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from fat" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_seen_subcommand_from directories" -s t -l threshold -d 'Specify a threshold for file size'
complete -c sn -n "__fish_seen_subcommand_from directories" -s e -l exclude
complete -c sn -n "__fish_seen_subcommand_from directories" -s d -l depth -d 'How far to recurse (default 2)'
complete -c sn -n "__fish_seen_subcommand_from directories" -s a -l all -d 'Print all directory entries (no max depth)'
complete -c sn -n "__fish_seen_subcommand_from directories" -s f -l files -d 'Whether to print files in addition to directories (default false)'
complete -c sn -n "__fish_seen_subcommand_from directories" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from directories" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_seen_subcommand_from files" -s t -l threshold -d 'Specify a threshold for file size'
complete -c sn -n "__fish_seen_subcommand_from files" -s e -l exclude
complete -c sn -n "__fish_seen_subcommand_from files" -s d -l depth -d 'How far to recurse (default 2)'
complete -c sn -n "__fish_seen_subcommand_from files" -s a -l all -d 'Print all directory entries (no max depth)'
complete -c sn -n "__fish_seen_subcommand_from files" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from files" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s t -l threshold -d 'Specify a threshold for file size'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s n -l count -d 'Number of files to find (default 8)'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s e -l exclude -d 'Regex for paths to exclude'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s d -l depth -d 'How far to recurse (default 2)'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s g -l tagfiles -d 'Clean tagfiles generated for vim or Emacs'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s a -l all -d 'Print all directory entries (no max depth)'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s f -l files -d 'Whether to print files in addition to directories (default false)'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s o -l sort -d 'Sort results by size'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from artifacts" -s V -l version -d 'Prints version information'
complete -c sn -n "__fish_seen_subcommand_from help" -s h -l help -d 'Prints help information'
complete -c sn -n "__fish_seen_subcommand_from help" -s V -l version -d 'Prints version information'
